Page MenuHomePhabricator

Mobile visual editor does not log saveFailure events
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterMobile VE should log saveFailure events

Event Timeline

Neil_P._Quinn_WMF triaged this task as Normal priority.Oct 2 2018, 10:03 PM
Neil_P._Quinn_WMF created this task.
JKatzWMF moved this task from Blocked / Stalled to Tracking on the Product-Analytics board.
DLynch claimed this task.Nov 29 2018, 6:02 PM
DLynch moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 478970 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/MobileFrontend@master] Mobile VE should log saveFailure events

https://gerrit.wikimedia.org/r/478970

Change 478970 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Mobile VE should log saveFailure events

https://gerrit.wikimedia.org/r/478970

Tested locally with trackdebug=1 with an edit that is blocked by an abuse filter.

The following is logged:

mf.schemaEditAttemptStep: Do not rely on default timing value for saveSuccess/saveFailure
mf.schemaEditAttemptStep.saveFailure -1ms
{
  "action": "saveFailure",
  "editor_interface": "visualeditor",
  "editing_session_id": "ef6a13a8ebde1a1912b0",
  "save_failure_timing": -1,
  "save_failure_type": "responseUnknown",
  "save_failure_message": "Error, edit not saved.",
  "is_oversample": true
}

Is the -1ms timing and the console warning expected/acceptable?

Is the -1ms timing and the console warning expected/acceptable?

Yup! It's the same behavior that non-mobile VE has, at least, so it's consistent. I think (it predates me) that the logic was that the timings for saveSuccess/saveFailure don't have any particularly useful other-step to ground them on.

Neil_P._Quinn_WMF closed this task as Resolved.Feb 27 2019, 6:55 PM